## SPEC file for Perl module Data::UUID
## Used in SVK

%define version    1.217
%define release    alt1

Name: perl-Data-UUID
Version: %version
Release: alt1.1

Summary: Perl extension for generating Globally/Universally Unique Identifiers (GUIDs/UUIDs)
Summary(ru_RU.UTF-8): модуль Perl для создания Globally/Universally Unique Identifiers (GUIDs/UUIDs)

License: %bsdstyle
Group: Development/Perl
URL: http://search.cpan.org/~rjbs/Data-UUID/

Packager: Nikolay A. Fetisov <naf@altlinux.ru>

%define real_name Data-UUID
Source: %real_name-%version.tar

AutoReqProv: perl, yes
BuildRequires(pre): perl-devel rpm-build-licenses

# Automatically added by buildreq on Sun Oct 10 2010
BuildRequires: perl-threads
BuildRequires: perl-Pod-Parser

%description
This module  provides a  framework for generating UUIDs 
(Universally  Unique Identifiers,  also known  as GUIDs 
(Globally Unique Identifiers). A UUID is 128 bits long, 
and is guaranteed to be different  from all other UUIDs
and GUIDs generated until 3400 CE.

%description -l ru_RU.UTF-8
Данный модуль Perl  предоставляет возможность генерации UUID
(Universally Unique  Identifiers,  универсальных  уникальных 
идентификаторов, также известных как GUIDs - Globally Unique 
Identifiers,  глобально  уникальные  идентификаторы).  Длина 
UUID - 128 битов,  они гарантированно  отличаются  от  любых 
других UUID/GUID, созданных вплоть до 3400 года.


%prep
%setup  -n %real_name-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_archlib/Data/UUID*
%perl_vendor_autolib/Data/UUID*

%changelog
* Sat Nov 06 2010 Vladimir Lettiev <crux@altlinux.ru> 1.217-alt1.1
- rebuilt with perl 5.12

* Sun Oct 10 2010 Nikolay A. Fetisov <naf@altlinux.ru> 1.217-alt1
- New version 1.217

* Sun Dec 14 2008 Nikolay A. Fetisov <naf@altlinux.ru> 1.149-alt1
- New version 1.149

* Mon Mar 26 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.148-alt1
- New version 1.148:
  - fix incorrect initialization of tick-tracking (rt #2481, rt #21486)
  - packaging improvements
  - Win32 compatibility/compilation improvements

* Sun Apr 23 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.14-alt1
- Initial build for ALT Linux

* Sun Apr 23 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.14-alt0
- New version 0.14

* Tue May 24 2005 Nikolay A. Fetisov <naf@altlinux.ru> 0.11-alt0.1
- Build for new perl-5.8.7

* Fri Mar 04 2005 Nikolay A. Fetisov <naf@altlinux.ru> 0.11-alt0
- Preparing for ALT Linux
- Removing man pages

* Tue Jan 18 2005 Nikolay A. Fetisov <naf@naf.net.ru> 0.11-naf1
- Initial build
